Subject: Re: linux-next: manual merge of the rdma-fixes tree with Linus' tree

From: Doug Ledford <[email-masked]>
Date: Mon, 29 Apr 2019 18:21:32 -0400

On Tue, 2019-04-30 at 08:13 +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the rdma-fixes tree got a conflict in:
> 
>   drivers/infiniband/core/uverbs_main.c
> 
> between commit:
> 
>   6a5c5d26c4c6 ("rdma: fix build errors on s390 and MIPS due to bad ZERO_PAGE use")
> 
> from Linus' tree and commit:
> 
>   d79a26b99f5f ("RDMA/uverbs: Fix compilation error on s390 and mips platforms")
> 
> from the rdma-fixes tree.
> 
> I fixed it up (I just used the version from Linus' tree) and can carry the
> fix as necessary. This is now fixed as far as linux-next is concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also want
> to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.
> 

Sorry, I forgot to back that head commit out.  Once Linus committed his
fix the one in the rdma tree was superfluous (and wrong anyway).

-- 
Doug Ledford <[email-masked]>
    GPG KeyID: B826A3330E572FDD
    Key fingerprint = AE6B 1BDA 122B 23B4 265B  1274 B826 A333 0E57 2FDD